from setuptools import setup, find_packages
from pathlib import Path

this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text()

setup(
    name='quakephase',
    version='0.2.5',
    packages=find_packages(),
    author='Peidong Shi',
    author_email="speedshi@hotmail.com",
    description="A Python package for automatic seismic phase characterization",
    long_description=long_description,
    long_description_content_type='text/markdown',
    url="https://github.com/speedshi/quakephase",
    license="GPLv3",
    keywords="Seismology, Machine Learning, Phase Picking, Seismic Monitoring, Earthquake Monitoring",
    install_requires=[
        'seisbench',
        'pyyaml',
        'scikit-learn',
        # Add any other dependencies here
    ],
)
